MargrabeOption::arguments Class Reference

Extra arguments for Margrabe option. More...

`#include <ql/experimental/exoticoptions/margrabeoption.hpp>`

Inheritance diagram for MargrabeOption::arguments:
[legend]

## Public Member Functions

void | validate () const
Public Member Functions inherited from Option::arguments
void | validate () const

## Public Attributes

Integer | Q1
Integer | Q2
Public Attributes inherited from Option::arguments
boost::shared_ptr< Payoff > | payoff
boost::shared_ptr< Exercise > | exercise

## Detailed Description

Extra arguments for Margrabe option.